<?php


#
# Projeto :  Lucato 
# Data : 20/02/2004
# 
# ROBO Detalhe
#

    //*******************************************************************	
	// INCLUDES nao alterar a ordem dos includes
    //*******************************************************************	
	include "includes/library.php";


	$clientes = request("cliente");
	$usuarios = request("usuario");
	$emails = request("email");
	$senha = request("senha");
	$ddd = request("ddd");
	$whatsapp = request("whatsapp");
	
	function apenasNumeros($string) {
		// Usa expressão regular para substituir todos os caracteres não numéricos por uma string vazia
		return preg_replace('/\D/', '', $string);
	}
	//print_r($clientes);
	//print_r($usuarios);
	//print_r($emails);
	//print_r($senha);
	//echo count($clientes);
	
	$cadastro_sucesso = 0;
	$erro_cadastro = array();
	
	for ($i=0;$i<count($clientes);$i++){
		//$new_id = generator("GEN_NETCONT_USUARIO_ID");
		
		//verificar se foi cadastrado e um e-mail para o determinado cliente
		if (($usuarios[$i]=="")||($emails[$i]=="")){
			$sql = "SELECT * FROM CLIENTE WHERE ID = $clientes[$i]";
			$CLI = new QUERY($DATABASE,$sql);
			$CLI->NEXT();
			$erro_cadastro[] = "Faltou preencher o e-mail ou o usuário para a empresa <b>".$CLI->BYNAME("NOME")."</b>";
		}else{
			//verificar se já existe usuário
			$sql = "SELECT * FROM NETCONT_USUARIO WHERE USUARIO = '$usuarios[$i]'";
			$VERIFICA_USUARIO = new QUERY($DATABASE,$sql);
			
			if ($VERIFICA_USUARIO->NEXT()){
				$erro_cadastro[] = "O usuário <b> $usuarios[$i]</b> já existe, você terá que escolher outro usuário";
			}else{
				$sql = 'select GEN_ID(GEN_NETCONT_USUARIO_ID,1) as NEWID from RDB$DATABASE';
				$GEN = new QUERY($DATABASE,$sql);
				$GEN->NEXT();
				$new_id = $GEN->BYNAME("NEWID");
				$GEN->FREE();
				unset($GEN);

				
				$sql = "INSERT INTO NETCONT_USUARIO (ID,CLIENTEID,USUARIO,SENHA,EMAIL,SMS_COD_PAIS_1,SMS_DDD_1,SMS_TEL_1) VALUES ($new_id,$clientes[$i],'$usuarios[$i]','$senha','$emails[$i]','55','".apenasNumeros($ddd[$i])."','".apenasNumeros($whatsapp[$i])."')";
				$EXEC = new QUERY($DATABASE,$sql);
				$EXEC->FREE();
				unset($EXEC);
					
				//echo $sql."<br>";
				
				$sql = "SELECT * FROM NETCONT_ROTINA";
				$ROTINA = new QUERY($DATABASE,$sql);
				
				while ($ROTINA->NEXT()){
					if (request("nao_considerar_email")!="1"){
						$sql = "INSERT INTO NETCONT_USUARIO_ROTINA (NETCONT_USUARIOID,NETCONT_ROTINAID,STATUS) VALUES ($new_id,".$ROTINA->BYNAME('ID').",1)";
						echo $sql."<br>";
						$GRAVA = new QUERY($DATABASE,$sql);	
						$GRAVA->FREE();
						unset($GRAVA);
					}else{
						$sql = "INSERT INTO NETCONT_USUARIO_ROTINA (NETCONT_USUARIOID,NETCONT_ROTINAID,STATUS) VALUES ($new_id,2,1)";
						//echo $sql."<br>";
						$GRAVA = new QUERY($DATABASE,$sql);	
						$GRAVA->FREE();
						unset($GRAVA);
						$sql = "INSERT INTO NETCONT_USUARIO_ROTINA (NETCONT_USUARIOID,NETCONT_ROTINAID,STATUS) VALUES ($new_id,4,1)";
						//echo $sql."<br>";
						$GRAVA = new QUERY($DATABASE,$sql);	
						$GRAVA->FREE();
						unset($GRAVA);
						break;
					}
				}
				$ROTINA->FREE();
				unset($ROTINA);
				
				$cadastro_sucesso++;
			}	
		}	
	}
	
	echo "<div class=\"alert alert-warning\" role=\"alert\"><ul>";
	foreach ($erro_cadastro as $erro){
		echo "<li>".utf8_encode($erro)."</li>";
	}
	echo "</ul></div>";
	
	if ($cadastro_sucesso>0){
		echo utf8_encode("<div class=\"alert alert-success\" role=\"alert\"><b>Foram configurado(s) $cadastro_sucesso usuário(s) com sucesso</b></div>");
	}	
?>

